<code>∫finvoice_INVOICE_Header∫1∫Code∫M∫Code∫0∫COMPILER_in_4op_lUse4DOpen:=kFalsexml_sRedirectName:=&quot;&quot;xml_lToWinChars:=kTruexml_lRowMaxLength:=32000&lt;&gt; \txml_lRealCommaToPoint:=kFalsexml_lUseEDI:=kFalsexml_lUseXML:=kTrue xml_lThermoShow:=kTrue ∫∫∫∫0∫∫∫∫ƒ</code><SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:eb="http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd">
<SOAP-ENV:Header>
<eb:MessageHeader xmlns:eb="http://www.oasis-open.org/committees/ebxml-msg/schema/msg-header-2_0.xsd" SOAP-ENV:mustUnderstand="1" eb:id="20030222133003285">
<eb:From>
<eb:PartyId><code>FI9352900220303935∫finvoice_INVOICE_Frame_data∫5∫eb:PartyId∫M∫Code∫0∫in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&quot;in_Finvoice_Settings&quot;)  // &lt;&gt; \tin_tFinvoiceSettingsName  xml_tCodeData:=xml ValueGet (in_tSellerAccountIDXml;&quot;InvoiceRecipientAddress&quot;)∫∫∫∫0∫∫eb:PartyId∫∫ƒ</code></eb:PartyId>
<eb:Role>Sender∫finvoice_INVOICE_Frame_data∫6∫eb:Role∫M∫A∫0∫Sender∫∫∫∫0∫∫eb:Role∫∫ƒ</eb:Role>
</eb:From>
<eb:From>
<eb:PartyId><code>OKOYFIHH∫finvoice_INVOICE_Frame_data∫9∫eb:PartyId∫M∫Code∫0∫in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&quot;in_Finvoice_Settings&quot;)  // &lt;&gt; \tin_tFinvoiceSettingsName  xml_tCodeData:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerBic&quot;)∫∫∫∫0∫∫eb:PartyId∫∫ƒ</code></eb:PartyId>
<eb:Role>Intermediator∫finvoice_INVOICE_Frame_data∫10∫eb:Role∫M∫A∫0∫Intermediator∫∫∫∫0∫∫eb:Role∫∫ƒ</eb:Role>
</eb:From>
<code>∫finvoice_INVOICE_Frame_data∫12∫Find Receivers company∫M∫Code∫0∫_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><eb:To>
<eb:PartyId>003717980076∫finvoice_INVOICE_Frame_data∫14∫eb:PartyId∫M∫Field∫0∫co_kElectronic_Invoice_Address∫∫∫∫0∫∫eb:PartyId∫∫ƒ</eb:PartyId>
<eb:Role>Receiver∫finvoice_INVOICE_Frame_data∫15∫eb:Role∫M∫A∫0∫Receiver∫∫∫∫0∫∫eb:Role∫∫ƒ</eb:Role>
</eb:To>
<eb:To>
<eb:PartyId>POPFFI22∫finvoice_INVOICE_Frame_data∫18∫eb:PartyId∫M∫Field∫0∫co_kSWIFT_Code∫∫∫∫0∫∫eb:PartyId∫∫ƒ</eb:PartyId>
<eb:Role>Intermediator∫finvoice_INVOICE_Frame_data∫19∫eb:Role∫M∫A∫0∫Intermediator∫∫∫∫0∫∫eb:Role∫∫ƒ</eb:Role>
</eb:To>
<eb:CPAId>yoursandmycpa∫finvoice_INVOICE_Frame_data∫21∫eb:CPAId∫M∫A∫0∫yoursandmycpa∫∫∫∫0∫∫eb:CPAId∫∫ƒ</eb:CPAId>
<eb:ConversationId>nnnnn∫finvoice_INVOICE_Frame_data∫22∫eb:ConversationId∫M∫A∫0∫nnnnn∫∫∫∫0∫∫eb:ConversationId∫∫ƒ</eb:ConversationId>
<eb:Service>Routing∫finvoice_INVOICE_Frame_data∫23∫eb:Service∫M∫A∫0∫Routing∫∫∫∫0∫∫eb:Service∫∫ƒ</eb:Service>
<eb:Action>ProcessInvoice∫finvoice_INVOICE_Frame_data∫24∫eb:Action∫M∫A∫0∫ProcessInvoice∫∫∫∫0∫∫eb:Action∫∫ƒ</eb:Action>
<eb:MessageData>
<eb:MessageId>230035∫finvoice_INVOICE_Frame_data∫26∫eb:MessageId∫M∫Field∫0∫in_kInvoice_ID∫∫∫∫0∫∫eb:MessageId∫∫ƒ</eb:MessageId>
<eb:Timestamp><code>2024-04-27∫finvoice_INVOICE_Frame_data∫28∫eb:Timestamp∫M∫Code∫0∫_txt:=_date ToString (_date Current (kTrue ))_txt:=Replace string(_txt;&quot;.&quot;;&quot;-&quot;)xml_tCodeData:=_txt∫päivämäärä eroteltuna viivalla∫∫∫0∫∫∫∫ƒ</code>T∫finvoice_INVOICE_Frame_data∫29∫eb:Timestamp∫M∫A∫0∫T∫T∫∫∫0∫∫∫∫ƒ<code>17:43:00∫finvoice_INVOICE_Frame_data∫30∫eb:Timestamp∫M∫Code∫0∫_txt2:=_time ToString (_time Current (kTrue ))xml_tCodeData:=_txt2∫aika∫∫∫0∫∫∫∫ƒ</code>+02∫finvoice_INVOICE_Frame_data∫31∫eb:Timestamp∫M∫A∫0∫+02∫aikavyöhyke∫∫∫0∫∫∫∫ƒ</eb:Timestamp>
<eb:RefToMessageId/>
</eb:MessageData>
</eb:MessageHeader>
</SOAP-ENV:Header>
<SOAP-ENV:Body>
<eb:Manifest eb:id="Manifest" eb:version="2.0">
<eb:Reference eb:id="Finvoice" xlink:href="230035∫finvoice_INVOICE_Frame_data∫40∫eb:Reference∫M∫Field∫0∫in_kInvoice_ID∫∫∫∫0∫∫∫∫ƒ">
<eb:schema eb:location="http://www.pankkiyhdistys.fi/verkkolasku/finvoice/finvoice.xsd" eb:version="2.0"/>
</eb:Reference>
</eb:Manifest>
</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
<code>∫finvoice_INVOICE_Header∫2∫Code∫M∫Code∫0∫xml DOCUMENT_SEND (&quot;finvoice_INVOICE_Frame&quot;)∫∫∫∫0∫∫∫∫ƒ</code><?xml version="1.0" encoding="ISO-8859-15"?>
∫finvoice_INVOICE_Header∫4∫Doctype∫∫A∫0∫∫Finvoice 1.2: &lt;!DOCTYPE Finvoice SYSTEM &quot;Finvoice.dtd&quot;&gt; \t∫∫∫0∫∫∫∫ƒ<?xml-stylesheet type="text/xsl" href="Finvoice.xsl"?>
<Finvoice Version="1.3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xsi:noNamespaceSchemaLocation="Finvoice.xsd">
<code>∫finvoice_INVOICE_SellerPartyDetails∫1∫Find our Company∫M∫Code∫0∫_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t&lt;&gt; \tmgsFIRMATUN;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><SellerPartyDetails>
<SellerPartyIdentifier>0849338-0∫finvoice_INVOICE_SellerPartyDetails∫3∫SellerPartyIdentifier∫M∫Field∫0∫co_kTrade_Registry_Number∫∫∫∫0∫∫SellerPartyIdentifier∫∫ƒ</SellerPartyIdentifier>
<SellerOrganisationName>Manage Applications Ky∫finvoice_INVOICE_SellerPartyDetails∫4∫SellerOrganisationName∫M∫Field∫0∫co_kName∫∫∫∫0∫∫SellerOrganisationName∫∫ƒ</SellerOrganisationName>
<SellerOrganisationTaxCode>FI08493380∫finvoice_INVOICE_SellerPartyDetails∫5∫SellerOrganisationTaxCode∫M∫Field∫0∫co_kVAT_Number∫co_kVAT_Number?∫∫∫0∫∫SellerOrganisationTaxCode∫∫ƒ</SellerOrganisationTaxCode>
<SellerPostalAddressDetails>
<SellerStreetName>Laukaantie 4∫finvoice_INVOICE_SellerPartyDetails∫7∫SellerStreetName∫M∫Field∫0∫co_kAddress∫∫∫∫0∫∫SellerStreetName∫∫ƒ</SellerStreetName>
<SellerTownName>Jyväskylä∫finvoice_INVOICE_SellerPartyDetails∫8∫SellerTownName∫M∫Field∫0∫co_kPost_Office∫∫∫∫0∫∫SellerTownName∫∫ƒ</SellerTownName>
<SellerPostCodeIdentifier>40320∫finvoice_INVOICE_SellerPartyDetails∫9∫SellerPostCodeIdentifier∫M∫Field∫0∫co_kPost_Code∫∫∫∫0∫∫SellerPostCodeIdentifier∫∫ƒ</SellerPostCodeIdentifier>
<CountryCode>FI∫finvoice_INVOICE_SellerPartyDetails∫10∫CountryCode∫M∫A∫0∫FI∫∫∫∫0∫∫CountryCode∫∫ƒ</CountryCode>
<CountryName>FINLAND∫finvoice_INVOICE_SellerPartyDetails∫11∫CountryName∫M∫A∫0∫FINLAND∫∫∫∫0∫∫CountryName∫∫ƒ</CountryName>
</SellerPostalAddressDetails>
</SellerPartyDetails>
<SellerOrganisationUnitNumber>003708493380  ∫finvoice_INVOICE_SellerOrganisationUnitNumber∫1∫SellerOrganisationUnitNumber∫M∫Field∫0∫co_kElectronic_Invoice_Address∫OVT-tunnus∫∫∫0∫∫SellerOrganisationUnitNumber∫∫ƒ</SellerOrganisationUnitNumber>
<code>∫finvoice_INVOICE_SellerContactPersonName∫1∫Find right company and right person∫M∫Code∫0∫_sel RELATE_MANY(in_kInvoice_ID;inr_kInvoice_id)_rec FIRST(inr_kTbl)_txt2:=_fld ValueStr(inr_kEmployee_id)_qry Fld(0;em_kEmployee_ID;&quot;=&quot;;-&gt; \t_txt2;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><SellerContactPersonName>Pasi Mankinen∫finvoice_INVOICE_SellerContactPersonName∫2∫SellerContactPersonName∫M∫Field∫0∫em_kWhole_Name∫Default_Sales_Person_id∫∫∫0∫∫SellerContactPersonName∫∫ƒ</SellerContactPersonName>
<SellerCommunicationDetails>
<SellerPhoneNumberIdentifier><code>014 621 161∫finvoice_INVOICE_SellerCommunicationDetails∫3∫SellerPhoneNumberIdentifier∫∫Code∫0∫If (_fld ValueStr(co_kTelephone_Area_Code)#&quot;&quot;) xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code)+&quot; &quot;+ _fld ValueStr(co_kTelephone_Number)Else xml_tCodeData:=_fld ValueStr(co_kTelephone_Number)End if∫∫∫∫0∫∫∫∫ƒ</code></SellerPhoneNumberIdentifier>
<SellerEmailaddressIdentifier>∫finvoice_INVOICE_SellerCommunicationDetails∫5∫SellerEmailaddressIdentifier∫M∫Field∫0∫co_keMail∫∫∫∫0∫∫SellerEmailaddressIdentifier∫∫ƒ</SellerEmailaddressIdentifier>
</SellerCommunicationDetails>
<SellerInformationDetails>
<SellerHomeTownName>Jyväskylä∫finvoice_INVOICE_SellerInformationDetails∫2∫SellerHomeTownName∫M∫Field∫0∫co_kPost_Office∫∫∫∫0∫∫SellerHomeTownName∫∫ƒ</SellerHomeTownName>
<SellerVatRegistrationText>Alv. Rek.∫finvoice_INVOICE_SellerInformationDetails∫3∫SellerVatRegistrationText∫M∫A∫0∫Alv. Rek.∫∫∫∫0∫∫SellerVatRegistrationText∫∫ƒ</SellerVatRegistrationText>
∫finvoice_INVOICE_SellerInformationDetails∫4∫SellerVatRegistrationDate∫∫A∫0∫∫∫∫∫0∫∫SellerVatRegistrationDate∫∫ƒ<SellerPhoneNumber><code>014 621 161∫finvoice_INVOICE_SellerInformationDetails∫5∫SellerPhoneNumber∫M∫Code∫0∫If (_fld ValueStr(co_kTelephone_Area_Code)#&quot;&quot;) xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code)+&quot; &quot;+ _fld ValueStr(co_kTelephone_Number)Else xml_tCodeData:=_fld ValueStr(co_kTelephone_Number)End if∫ \t ∫∫∫0∫∫SellerPhoneNumber∫∫ƒ</code></SellerPhoneNumber>
<SellerFaxNumber><code>014 621 163∫finvoice_INVOICE_SellerInformationDetails∫6∫SellerFaxNumber∫M∫Code∫0∫If (_fld ValueStr(co_kFax_Area_Code)#&quot;&quot;) xml_tCodeData:=_fld ValueStr(co_kFax_Area_Code)+&quot; &quot;+ _fld ValueStr(co_kFax_Number)Else xml_tCodeData:=_fld ValueStr(co_kFax_Number)End if∫∫∫∫0∫∫SellerFaxNumber∫∫ƒ</code></SellerFaxNumber>
<SellerCommonEmailaddressIdentifier>∫finvoice_INVOICE_SellerInformationDetails∫7∫SellerCommonEmailaddressIdentifier∫M∫Field∫0∫co_keMail∫∫∫∫0∫∫SellerCommonEmailaddressIdentifier∫∫ƒ</SellerCommonEmailaddressIdentifier>
<SellerWebaddressIdentifier>∫finvoice_INVOICE_SellerInformationDetails∫8∫SellerWebaddressIdentifier∫M∫Field∫0∫co_kWWW∫∫∫∫0∫∫SellerWebaddressIdentifier∫∫ƒ</SellerWebaddressIdentifier>
<SellerFreeText>∫finvoice_INVOICE_SellerInformationDetails∫9∫SellerFreeText∫M∫A∫0∫∫∫∫∫0∫∫SellerFreeText∫∫ƒ</SellerFreeText>
<SellerAccountDetails>
<SellerAccountID IdentificationSchemeName="IBAN">FI9352900220303935∫finvoice_INVOICE_SellerAccountDetails_data∫3∫SellerAccountID∫M∫Variable∫0∫in_tSellerAccountID∫∫∫∫0∫∫∫∫ƒ</SellerAccountID>
<SellerBic IdentificationSchemeName="BIC">OKOYFIHH∫finvoice_INVOICE_SellerAccountDetails_data∫6∫SellerBic∫M∫Variable∫0∫in_tSellerBic∫∫∫∫0∫∫∫∫ƒ</SellerBic>
</SellerAccountDetails>
<code>∫finvoice_INVOICE_SellerInformationDetails∫10∫SellerAccountDetails∫M∫Code∫0∫If (_fld ValueStr (in_kType_ )#&lt;&gt; \tin_tFinancingInvoiceType)  in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&quot;in_Finvoice_Settings&quot;)  // &lt;&gt; \tin_tFinvoiceSettingsName    in_tSellerAccountID:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerAccountID&quot;)  While (in_tSellerAccountID#&quot;&quot;)    in_tSellerBic:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerBic&quot;)    xml DOCUMENT_SEND (&quot;finvoice_INVOICE_SellerAccountDetails&quot;)    in_tSellerAccountIDXml:=xml TagDelete (in_tSellerAccountIDXml;&quot;SellerAccountID&quot;;kFalse )    in_tSellerAccountIDXml:=xml TagDelete (in_tSellerAccountIDXml;&quot;SellerBic&quot;;kFalse )    in_tSellerAccountID:=xml ValueGet (in_tSellerAccountIDXml;&quot;SellerAccountID&quot;)  End while End if ∫∫∫∫0∫∫∫∫ƒ</code><code>∫finvoice_INVOICE_SellerInformationDetails∫11∫Find invoice receivers Company∫M∫Code∫0∫_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><InvoiceRecipientDetails>
<InvoiceRecipientAddress><code>FI9352900220303935∫finvoice_INVOICE_SellerInformationDetails∫13∫InvoiceRecipientAddress∫M∫Code∫0∫in_tSellerAccountIDXml:=_prf_ Txt (&quot;&quot;;&lt;&gt; \tin_tFinvoiceSettingsName)xml_tCodeData:=xml ValueGet (in_tSellerAccountIDXml;&quot;InvoiceRecipientAddress&quot;)∫Electronic invoicing address of the seller for example  IBAN∫∫∫0∫∫InvoiceRecipientAddress∫∫ƒ</code></InvoiceRecipientAddress>
<InvoiceRecipientIntermediatorAddress><code>OKOYFIHH∫finvoice_INVOICE_SellerInformationDetails∫14∫InvoiceRecipientIntermediatorAddress∫M∫Code∫0∫_txt:=_prf_ Txt (&quot;&quot;;&lt;&gt; \tin_tFinvoiceSettingsName)xml_tCodeData:=xml ValueGet (_txt;&quot;SellerBic&quot;)∫BIC∫∫∫0∫∫InvoiceRecipientIntermediatorAddress∫∫ƒ</code></InvoiceRecipientIntermediatorAddress>
</InvoiceRecipientDetails>
</SellerInformationDetails>
<code>∫finvoice_INVOICE_InvoiceSenderPartyDetails∫1∫Find invoice senders Company∫M∫Code∫0∫_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t&lt;&gt; \tmgsFIRMATUN;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><InvoiceSenderPartyDetails>
<InvoiceSenderOrganisationName>Manage Applications Ky∫finvoice_INVOICE_InvoiceSenderPartyDetails∫3∫InvoiceSenderOrganisationName∫M∫Field∫0∫co_kName∫∫∫∫0∫∫InvoiceSenderOrganisationName∫∫ƒ</InvoiceSenderOrganisationName>
</InvoiceSenderPartyDetails>
<code>∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫1∫Find invoice receivers Company∫M∫Code∫0∫_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><InvoiceRecipientPartyDetails>
<InvoiceRecipientPartyIdentifier>1798007-6∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫3∫InvoiceRecipientPartyIdentifier∫M∫Field∫35∫co_kTrade_Registry_Number∫∫∫∫0∫∫InvoiceRecipientPartyIdentifier∫∫ƒ</InvoiceRecipientPartyIdentifier>
<InvoiceRecipientOrganisationName>Ultratec Oy, Ostolaskut∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫4∫InvoiceRecipientOrganisationName∫M∫Field∫35∫co_kName∫∫∫∫0∫∫InvoiceRecipientOrganisationName∫∫ƒ</InvoiceRecipientOrganisationName>
<InvoiceRecipientOrganisationTaxCode>∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫5∫InvoiceRecipientOrganisationTaxCode∫M∫Field∫35∫co_kVAT_Number∫∫∫∫0∫∫InvoiceRecipientOrganisationTaxCode∫∫ƒ</InvoiceRecipientOrganisationTaxCode>
<InvoiceRecipientPostalAddressDetails>
<InvoiceRecipientStreetName>PL 32003∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫7∫InvoiceRecipientStreetName∫M∫Field∫35∫co_kAddress∫∫∫∫0∫∫InvoiceRecipientStreetName∫∫ƒ</InvoiceRecipientStreetName>
<InvoiceRecipientTownName>Laskut∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫8∫InvoiceRecipientTownName∫M∫Field∫35∫co_kPost_Office∫∫∫∫0∫∫InvoiceRecipientTownName∫∫ƒ</InvoiceRecipientTownName>
<InvoiceRecipientPostCodeIdentifier>01051∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫9∫InvoiceRecipientPostCodeIdentifier∫M∫Field∫35∫co_kPost_Code∫∫∫∫0∫∫InvoiceRecipientPostCodeIdentifier∫∫ƒ</InvoiceRecipientPostCodeIdentifier>
<CountryCode><code>FI∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫10∫CountryCode∫M∫Code∫2∫xml_tCodeData:=&quot;&quot;xml_tParam:=_fld ValueStr(co_kCountry)If(xml_tParam=&quot;&quot;) | (xml_tParam=&quot;@Finland@&quot;) | (xml_tParam=&quot;@Suomi@&quot;)  xml_tCodeData:=&quot;FI&quot;End ifif(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FI&quot;End if∫FI∫∫∫0∫∫CountryCode∫∫ƒ</code></CountryCode>
<CountryName><code>FINLAND∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫11∫CountryName∫M∫Code∫35∫xml_tCodeData:=&quot;&quot;xml_tCodeData:=_fld ValueStr(co_kCountry)If (xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FINLAND&quot;End if∫FINLAND∫∫∫0∫∫CountryName∫∫ƒ</code></CountryName>
<InvoiceRecipientPostOfficeBoxIdentifier>∫finvoice_INVOICE_InvoiceRecipientPartyDetails∫12∫InvoiceRecipientPostOfficeBoxIdentifier∫M∫A∫35∫∫co_kAddress∫∫∫0∫∫InvoiceRecipientPostOfficeBoxIdentifier∫∫ƒ</InvoiceRecipientPostOfficeBoxIdentifier>
</InvoiceRecipientPostalAddressDetails>
</InvoiceRecipientPartyDetails>
<InvoiceRecipientOrganisationUnitNumber>∫finvoice_INVOICE_InvoiceRecipientOrganisationUnitNumber∫1∫InvoiceRecipientOrganisationUnitNumber∫M∫Field∫0∫co_kVAT_Number∫OVT∫∫∫0∫∫InvoiceRecipientOrganisationUnitNumber∫∫ƒ</InvoiceRecipientOrganisationUnitNumber>
<InvoiceRecipientCommunicationDetails>
<InvoiceRecipientPhoneNumberIdentifier><code>044 3368493∫finvoice_INVOICE_InvoiceRecipientCommunicationDetails∫3∫InvoiceRecipientPhoneNumberIdentifier∫M∫Code∫0∫xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code) + &quot; &quot;+ _fld ValueStr(co_kTelephone_Number)∫∫∫∫0∫∫∫∫ƒ</code></InvoiceRecipientPhoneNumberIdentifier>
<InvoiceRecipientEmailaddressIdentifier>timo@tehovinssi.fi∫finvoice_INVOICE_InvoiceRecipientCommunicationDetails∫5∫InvoiceRecipientEmailaddressIdentifier∫M∫Field∫0∫co_keMail∫∫∫∫0∫∫InvoiceRecipientEmailaddressIdentifier∫∫ƒ</InvoiceRecipientEmailaddressIdentifier>
</InvoiceRecipientCommunicationDetails>
<code>∫finvoice_INVOICE_BuyerPartyDetails∫1∫Find Company∫M∫Code∫0∫in_lGetValuesFromCustomer:=kFalsein_tDeliveryAdress:=_fld ValueStr(in_kDelivery_Address)Case of : (_fld ValueStr (in_kCompany_id)#_fld ValueStr (in_kDelivery_Company_id))   in_lGetValuesFromCustomer:=kTrue : (_fld ValueStr(in_kInvoice_Address)=in_tDeliveryAdress)   in_lGetValuesFromCustomer:=kTrueEnd case_txt:=_fld ValueStr(in_kDelivery_Company_id)If(_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)&lt;=0)   in_lGetValuesFromCustomer:=kFalseEnd if∫_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)∫∫∫0∫∫∫∫ƒ</code><BuyerPartyDetails>
<BuyerPartyIdentifier><code>1798007-6∫finvoice_INVOICE_BuyerPartyDetails∫3∫BuyerPartyIdentifier∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kTrade_Registry_Number)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫co_kTrade_Registry_Number∫∫∫0∫∫BuyerPartyIdentifier∫∫ƒ</code></BuyerPartyIdentifier>
<BuyerOrganisationName><code>Ultratec Oy∫finvoice_INVOICE_BuyerPartyDetails∫4∫BuyerOrganisationName∫M∫Code∫35∫xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;1)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kName)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫co_kName∫∫∫0∫∫BuyerOrganisationName∫∫ƒ</code></BuyerOrganisationName>
<BuyerOrganisationTaxCode><code>∫finvoice_INVOICE_BuyerPartyDetails∫5∫BuyerOrganisationTaxCode∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kVAT_Number)End if∫co_kVAT_Number∫∫∫0∫∫BuyerOrganisationTaxCode∫∫ƒ</code></BuyerOrganisationTaxCode>
<BuyerPostalAddressDetails>
<BuyerStreetName><code>Rautakyläntie 1∫finvoice_INVOICE_BuyerPartyDetails∫7∫BuyerStreetName∫M∫Code∫35∫xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;2)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kAddress)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫co_kAddress∫∫∫0∫∫BuyerStreetName∫∫ƒ</code></BuyerStreetName>
<BuyerTownName><code>Petäjävesi∫finvoice_INVOICE_BuyerPartyDetails∫8∫BuyerTownName∫M∫Code∫35∫xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;3)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Office)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫co_kPost_Office∫∫∫0∫∫BuyerTownName∫∫ƒ</code></BuyerTownName>
<BuyerPostCodeIdentifier><code>41900∫finvoice_INVOICE_BuyerPartyDetails∫9∫BuyerPostCodeIdentifier∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Code)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫co_kPost_Code∫∫∫0∫∫BuyerPostCodeIdentifier∫∫ƒ</code></BuyerPostCodeIdentifier>
<CountryCode><code>FI∫finvoice_INVOICE_BuyerPartyDetails∫10∫CountryCode∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tParam:=_fld ValueStr(co_kCountry)  If(xml_tParam=&quot;&quot;) | (xml_tParam=&quot;@Finland@&quot;) | (xml_tParam=&quot;@Suomi@&quot;)    xml_tCodeData:=&quot;FI&quot;  End ifEnd ifif(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FI&quot;End if∫FI∫∫∫0∫∫CountryCode∫∫ƒ</code></CountryCode>
<CountryName><code>FINLAND∫finvoice_INVOICE_BuyerPartyDetails∫11∫CountryName∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kCountry)  If (xml_tCodeData=&quot;&quot;)    xml_tCodeData:=&quot;FINLAND&quot;  End ifEnd if∫FINLAND∫∫∫0∫∫CountryName∫∫ƒ</code></CountryName>
<BuyerPostOfficeBoxIdentifier>∫finvoice_INVOICE_BuyerPartyDetails∫12∫BuyerPostOfficeBoxIdentifier∫M∫A∫0∫∫co_kAddress∫∫∫0∫∫BuyerPostOfficeBoxIdentifier∫∫ƒ</BuyerPostOfficeBoxIdentifier>
</BuyerPostalAddressDetails>
</BuyerPartyDetails>
<BuyerOrganisationUnitNumber>∫finvoice_INVOICE_BuyerOrganisationUnitNumber∫1∫BuyerOrganisationUnitNumber∫M∫Field∫0∫co_kVAT_number∫OVT-tunnus∫∫∫0∫∫BuyerOrganisationUnitNumber∫∫ƒ</BuyerOrganisationUnitNumber>
<BuyerContactPersonName>Timo Ruokolainen∫finvoice_INVOICE_BuyerContactPersonName∫1∫BuyerContactPersonName∫M∫Field∫0∫in_kYour_Reference∫Default_Sales_Person_id∫∫∫0∫∫BuyerContactPersonName∫∫ƒ</BuyerContactPersonName>
<BuyerCommunicationDetails>
<BuyerPhoneNumberIdentifier><code>044 3368493∫finvoice_INVOICE_BuyerCommunicationDetails∫3∫BuyerPhoneNumberIdentifier∫M∫Code∫0∫xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code) + &quot; &quot;+ _fld ValueStr(co_kTelephone_Number)∫∫∫∫0∫∫∫∫ƒ</code></BuyerPhoneNumberIdentifier>
<BuyerEmailaddressIdentifier>timo@tehovinssi.fi∫finvoice_INVOICE_BuyerCommunicationDetails∫5∫BuyerEmailaddressIdentifier∫M∫Field∫0∫co_keMail∫∫∫∫0∫∫BuyerEmailaddressIdentifier∫∫ƒ</BuyerEmailaddressIdentifier>
</BuyerCommunicationDetails>
<code>∫finvoice_INVOICE_DeliveryPartyDetails∫1∫Find our Company∫M∫Code∫0∫in_lGetValuesFromCustomer:=kFalsein_tDeliveryAdress:=_fld ValueStr(in_kDelivery_Address)Case of : (_fld ValueStr (in_kCompany_id)#_fld ValueStr (in_kDelivery_Company_id))   in_lGetValuesFromCustomer:=kTrue : (_fld ValueStr(in_kInvoice_Address)=in_tDeliveryAdress)   in_lGetValuesFromCustomer:=kTrueEnd case_txt:=_fld ValueStr(in_kDelivery_Company_id)If(_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)&lt;=0)   in_lGetValuesFromCustomer:=kFalseEnd if∫∫∫∫0∫∫∫∫ƒ</code><DeliveryPartyDetails>
<DeliveryPartyIdentifier><code>1798007-6∫finvoice_INVOICE_DeliveryPartyDetails∫3∫DeliveryPartyIdentifier∫M∫Code∫35∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kTrade_Registry_Number)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫∫∫∫0∫∫DeliveryPartyIdentifier∫∫ƒ</code></DeliveryPartyIdentifier>
<DeliveryOrganisationName><code>Ultratec Oy∫finvoice_INVOICE_DeliveryPartyDetails∫4∫DeliveryOrganisationName∫M∫Code∫35∫xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;1)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kName)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫∫∫∫0∫∫DeliveryOrganisationName∫∫ƒ</code></DeliveryOrganisationName>
<DeliveryOrganisationTaxCode><code>∫finvoice_INVOICE_DeliveryPartyDetails∫5∫DeliveryOrganisationTaxCode∫M∫Code∫35∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kVAT_Number)End if∫∫∫∫0∫∫DeliveryOrganisationTaxCode∫∫ƒ</code></DeliveryOrganisationTaxCode>
<DeliveryPostalAddressDetails>
<DeliveryStreetName><code>Rautakyläntie 1∫finvoice_INVOICE_DeliveryPartyDetails∫7∫DeliveryStreetName∫M∫Code∫35∫xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;2)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kAddress)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫∫∫∫0∫∫DeliveryStreetName∫∫ƒ</code></DeliveryStreetName>
<DeliveryTownName><code>Petäjävesi∫finvoice_INVOICE_DeliveryPartyDetails∫8∫DeliveryTownName∫M∫Code∫35∫xml_tCodeData:=_str Parse(in_tDeliveryAdress;ksCR;3)If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Office)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫∫∫∫0∫∫DeliveryTownName∫∫ƒ</code></DeliveryTownName>
<DeliveryPostCodeIdentifier><code>41900∫finvoice_INVOICE_DeliveryPartyDetails∫9∫DeliveryPostCodeIdentifier∫M∫Code∫35∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kPost_Code)End ifIf(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;xx&quot;End if∫∫∫∫0∫∫DeliveryPostCodeIdentifier∫∫ƒ</code></DeliveryPostCodeIdentifier>
<CountryCode><code>FI∫finvoice_INVOICE_DeliveryPartyDetails∫10∫CountryCode∫M∫Code∫2∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tParam:=_fld ValueStr(co_kCountry)  If(xml_tParam=&quot;&quot;) | (xml_tParam=&quot;@Finland@&quot;) | (xml_tParam=&quot;@Suomi@&quot;)    xml_tCodeData:=&quot;FI&quot;  End ifEnd ifif(xml_tCodeData=&quot;&quot;)  xml_tCodeData:=&quot;FI&quot;End if∫∫∫∫0∫∫CountryCode∫∫ƒ</code></CountryCode>
<CountryName><code>FINLAND∫finvoice_INVOICE_DeliveryPartyDetails∫11∫CountryName∫M∫Code∫35∫xml_tCodeData:=&quot;&quot;If (in_lGetValuesFromCustomer=kTrue)  xml_tCodeData:=_fld ValueStr(co_kCountry)  If (xml_tCodeData=&quot;&quot;)    xml_tCodeData:=&quot;FINLAND&quot;  End ifEnd if∫∫∫∫0∫∫CountryName∫∫ƒ</code></CountryName>
<DeliveryPostofficeBoxIdentifier>∫finvoice_INVOICE_DeliveryPartyDetails∫12∫DeliveryPostofficeBoxIdentifier∫M∫A∫35∫∫co_kAddress∫∫∫0∫∫DeliveryPostofficeBoxIdentifier∫∫ƒ</DeliveryPostofficeBoxIdentifier>
</DeliveryPostalAddressDetails>
</DeliveryPartyDetails>
<DeliveryOrganisationUnitNumber>003717980076∫finvoice_INVOICE_DeliveryOrganisationUnitNumber∫1∫DeliveryOrganisationUnitNumber∫M∫Field∫0∫co_kElectronic_Invoice_Address∫OVT-tunnus∫∫∫0∫∫DeliveryOrganisationUnitNumber∫∫ƒ</DeliveryOrganisationUnitNumber>
<DeliveryCommunicationDetails>
<DeliveryPhoneNumberIdentifier><code>044 3368493∫finvoice_INVOICE_DeliveryCommunicationDetails∫2∫DeliveryPhoneNumberIdentifier∫M∫Code∫0∫xml_tCodeData:=_fld ValueStr(co_kTelephone_Area_Code)+&quot; &quot;+_fld ValueStr(co_kTelephone_Number)∫∫∫∫0∫∫DeliveryPhoneNumberIdentifier∫∫ƒ</code></DeliveryPhoneNumberIdentifier>
<DeliveryEmailaddressIdentifier><code>timo@tehovinssi.fi ∫finvoice_INVOICE_DeliveryCommunicationDetails∫3∫DeliveryEmailaddressIdentifier∫M∫Code∫0∫xml_tCodeData:=_fld ValueStr(co_keMail)+&quot; &quot;∫∫∫∫0∫∫DeliveryEmailaddressIdentifier∫∫ƒ</code></DeliveryEmailaddressIdentifier>
</DeliveryCommunicationDetails>
<code>∫finvoice_INVOICE_DeliveryDetails∫1∫find dispatch note∫M∫Code∫0∫_txt:=_fld ValueStr (inr_kDispatch_Note )If (_txt#&quot;&quot;)  _qry Fld (0;dn_kDispatch_Note_ID ;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse )Else   _sel REDUCE (dn_kTbl ;0)End if If (_sel RecsInSel (dn_kTbl )&lt;=0)  xml_fSegmentSend:=falseEnd if∫∫∫∫0∫∫∫∫ƒ</code><code>∫finvoice_INVOICE_InvoiceDetails∫1∫Find Company∫M∫Code∫0∫_txt:=_fld ValueStr(in_kCompany_id)_qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)∫∫∫∫0∫∫∫∫ƒ</code><InvoiceDetails>
<InvoiceTypeCode>INV01∫finvoice_INVOICE_InvoiceDetails∫3∫InvoiceTypeCode∫M∫A∫0∫INV01∫xml_sStr:=_fld ValueStr (in_kType_)Case of    : (xml_sStr=&quot;NO&quot;)     xml_tCodeData:=&quot;380&quot;   : (xml_sStr=&quot;HY&quot;)     xml_tCodeData:=&quot;381&quot; Else     xml_tCodeData:=&quot;380&quot;End case∫∫∫0∫∫InvoiceTypeCode∫∫ƒ</InvoiceTypeCode>
<InvoiceTypeText>LASKU∫finvoice_INVOICE_InvoiceDetails∫4∫InvoiceTypeText∫M∫A∫0∫LASKU∫∫∫∫0∫∫InvoiceTypeText∫∫ƒ</InvoiceTypeText>
<OriginCode>Original∫finvoice_INVOICE_InvoiceDetails∫5∫OriginCode∫M∫A∫0∫Original∫∫∫∫0∫∫OriginCode∫∫ƒ</OriginCode>
<InvoiceNumber>230035∫finvoice_INVOICE_InvoiceDetails∫6∫InvoiceNumber∫M∫Field∫0∫in_kInvoice_id∫∫∫∫0∫∫InvoiceNumber∫∫ƒ</InvoiceNumber>
<InvoiceDate Format="CCYYMMDD">20231205∫finvoice_INVOICE_InvoiceDetails∫8∫∫M∫Field∫0∫in_kDate_∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</InvoiceDate>
<SellerReferenceIdentifier>230012/PM∫finvoice_INVOICE_InvoiceDetails∫10∫SellerReferenceIdentifier∫M∫Field∫0∫in_kOur_Reference∫∫∫∫0∫∫SellerReferenceIdentifier∫∫ƒ</SellerReferenceIdentifier>
∫finvoice_INVOICE_InvoiceDetails∫11∫SellerReferenceIdentifierUrlText∫∫A∫0∫∫∫∫∫0∫∫SellerReferenceIdentifierUrlText∫∫ƒ<OrderIdentifier>∫finvoice_INVOICE_InvoiceDetails∫12∫OrderIdentifier∫M∫Field∫0∫in_kCustomer_Order_Number∫∫∫∫0∫∫OrderIdentifier∫∫ƒ</OrderIdentifier>
∫finvoice_INVOICE_InvoiceDetails∫13∫OrderIdentifierUrlText∫∫A∫0∫∫∫∫∫0∫∫OrderIdentifierUrlText∫∫ƒ∫finvoice_INVOICE_InvoiceDetails∫14∫AgreementIdentifier∫∫A∫0∫∫∫∫∫0∫∫AgreementIdentifier∫∫ƒ∫finvoice_INVOICE_InvoiceDetails∫15∫AgreementIdentifierUrlText∫∫A∫0∫∫∫∫∫0∫∫AgreementIdentifierUrlText∫∫ƒ<InvoiceTotalVatExcludedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_InvoiceDetails∫17∫InvoiceTotalVatExcludedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_InvoiceDetails∫18∫InvoiceTotalVatExcludedAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ485,04∫finvoice_INVOICE_InvoiceDetails∫19∫InvoiceTotalVatExcludedAmount∫M∫Field∫0∫in_kPrice_Total∫∫∫########0.00∫0∫∫∫∫ƒ</InvoiceTotalVatExcludedAmount>
<InvoiceTotalVatAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_InvoiceDetails∫22∫InvoiceTotalVatAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_InvoiceDetails∫23∫InvoiceTotalVatAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ116,41∫finvoice_INVOICE_InvoiceDetails∫24∫InvoiceTotalVatAmount∫M∫Field∫0∫in_kVAT_Total∫∫∫########0.00∫0∫∫∫∫ƒ</InvoiceTotalVatAmount>
<InvoiceTotalVatIncludedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_InvoiceDetails∫27∫InvoiceTotalVatIncludedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_InvoiceDetails∫28∫InvoiceTotalVatIncludedAmount∫M∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ601,45∫finvoice_INVOICE_InvoiceDetails∫29∫InvoiceTotalVatIncludedAmount∫M∫Field∫0∫in_kTotal_Amount∫∫∫########0.00∫0∫∫∫∫ƒ</InvoiceTotalVatIncludedAmount>
∫finvoice_INVOICE_InvoiceDetails∫31∫ShortProposedAccountIdentifier∫∫A∫0∫∫∫∫∫0∫∫ShortProposedAccountIdentifier∫∫ƒ∫finvoice_INVOICE_InvoiceDetails∫32∫NormalProposedAccountIdentifier∫∫A∫0∫∫∫∫∫0∫∫NormalProposedAccountIdentifier∫∫ƒ∫finvoice_INVOICE_InvoiceDetails∫33∫AccountDimensionText∫∫A∫0∫∫∫∫∫0∫∫AccountDimensionText∫∫ƒ<VatSpecificationDetails>
<VatBaseAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Vat_data∫3∫VatBaseAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">485,04∫finvoice_INVOICE_Vat_data∫5∫VatBaseAmount∫M∫Field∫0∫in_kPrice_Total∫∫∫########0.00∫0∫∫∫∫ƒ</VatBaseAmount>
<VatRatePercent>24∫finvoice_INVOICE_Vat_data∫7∫VatRatePercent∫M∫Variable∫0∫in_rVatPercentageFinvoice∫inr_kVAT_Percentage∫∫∫0∫∫VatRatePercent∫∫ƒ</VatRatePercent>
<VatRateAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Vat_data∫9∫VatRateAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">116,41∫finvoice_INVOICE_Vat_data∫11∫VatRateAmount∫M∫Variable∫0∫in_rVatPriceFinvoice∫in_kVAT_Total∫∫########0.00∫0∫∫∫∫ƒ</VatRateAmount>
</VatSpecificationDetails>
<code>∫finvoice_INVOICE_InvoiceDetails∫34∫VatSpecificationDetails∫M∫Code∫0∫_sel RELATE_MANY (in_kInvoice_ID ;inr_kInvoice_id )ARRAY REAL(in_arVAT_Percentage_tmp;0)ARRAY REAL(in_arVAT_Price_tmp;0)in_ VAT_ARR_CREATE (-&gt; \tin_arVAT_Percentage_tmp;-&gt; \tin_arVAT_Price_tmp)SORT ARRAY(in_arVAT_Percentage_tmp;in_arVAT_Price_tmp;&lt;)_long2:=Size of array(in_arVAT_Percentage_tmp)  //$in_lArrSize -&gt; \t _longFor (_long;1;_long2)    in_rVatPercentageFinvoice:=in_arVAT_Percentage_tmp{_long}  in_rVatPriceFinvoice:=in_arVAT_Price_tmp{_long}    xml DOCUMENT_SEND (&quot;finvoice_INVOICE_VatSpecification&quot;)  End for∫_sel RELATE_MANY(in_kInvoice_ID;inr_kInvoice_id)_long2:=_sel RecsInSel (inr_kTbl )_ord FLD (inr_kTbl ;inr_kRow_Number ;1)_sel REC_FIRST (inr_kTbl )For (_long;1;_long2)  xml DOCUMENT_SEND (&quot;finvoice_INVOICE_Rows&quot;)  _sel REC_NEXT (inr_kTbl )End for ∫∫∫0∫∫∫∫ƒ</code><InvoiceFreeText><code>∫finvoice_INVOICE_InvoiceDetails∫35∫InvoiceFreeText∫M∫Code∫70∫xml_tCodeData:=_fld ValueStr (in_kFootnote )_txt:=_fld ValueStr (in_kInvoice_Text )_date:=_fld ValueDate (in_kDue_Date )_date2:=_fld ValueDate (in_kCash_Discount_Due_Date )If ((_date=_date2) | (_date2=!00.00.00!))  xml_tCodeData:=&quot;&quot;End if If (false) If (_fld ValueBoolean (in_kPrinted )=True)  _txt2:=&quot;* Tulostettu *&quot;  If (xml_tCodeData#&quot;&quot;)    xml_tCodeData:=xml_tCodeData+&quot; / &quot;  End if   xml_tCodeData:=xml_tCodeData+_txt2 End if End ifCase of   : ((xml_tCodeData#&quot;&quot;) &amp; (_txt#&quot;&quot;))    xml_tCodeData:=xml_tCodeData+&quot; / &quot;+_txt  : (_txt#&quot;&quot;)    xml_tCodeData:=_txtEnd case ∫in_kInvoice_Text∫∫∫0∫∫InvoiceFreeText∫∫ƒ</code></InvoiceFreeText>
<PaymentTermsDetails>
<PaymentTermsFreeText><code>7 pv netto∫finvoice_INVOICE_InvoiceDetails∫37∫PaymentTermsFreeText∫M∫Code∫0∫_sel RELATE_MANY (in_kTerms_Of_Payment_id ;top_kTerms_Of_Payment_id)if (_sel RecsInSel (top_kTbl )&gt; \t0)xml_tCodeData:=_fld ValueStr (top_kName )elsexml_tCodeData:=&quot;&quot;end if∫∫∫∫0∫∫PaymentTermsFreeText∫∫ƒ</code></PaymentTermsFreeText>
<InvoiceDueDate Format="CCYYMMDD">20231212∫finvoice_INVOICE_InvoiceDetails∫39∫InvoiceDueDate∫M∫Field∫0∫in_kDue_Date∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</InvoiceDueDate>
<code>∫finvoice_INVOICE_InvoiceDetails∫56∫Cash discount end∫M∫Code∫0∫xml_ SEGMENT_ROW_SEND_SET (kTrue)∫∫∫∫0∫∫∫∫ƒ</code><PaymentOverDueFineDetails>
<PaymentOverDueFineFreeText>7 pv∫finvoice_INVOICE_InvoiceDetails∫58∫PaymentOverDueFineFreeText∫M∫Field∫0∫in_kRemark_Time∫∫∫∫0∫∫PaymentOverDueFineFreeText∫∫ƒ</PaymentOverDueFineFreeText>
<PaymentOverDueFinePercent>8∫finvoice_INVOICE_InvoiceDetails∫59∫PaymentOverDueFinePercent∫M∫Field∫0∫in_kPenalty_Interest∫∫∫∫0∫∫PaymentOverDueFinePercent∫∫ƒ</PaymentOverDueFinePercent>
</PaymentOverDueFineDetails>
</PaymentTermsDetails>
</InvoiceDetails>
<PartialPaymentDetails>
<PaidAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_PartialPaymentDetails∫3∫PaidAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">0,00∫finvoice_INVOICE_PartialPaymentDetails∫5∫PaidAmount∫M∫Field∫0∫in_kPaid_Total∫∫∫########0.00∫0∫∫∫∫ƒ</PaidAmount>
<UnPaidAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_PartialPaymentDetails∫8∫UnPaidAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">601,45∫finvoice_INVOICE_PartialPaymentDetails∫10∫UnPaidAmount∫M∫Field∫0∫in_kTotal_Amount∫∫∫########0.00∫0∫∫∫∫ƒ</UnPaidAmount>
<InterestPercent>8∫finvoice_INVOICE_PartialPaymentDetails∫12∫InterestPercent∫M∫Field∫0∫in_kPenalty_Interest∫∫∫∫0∫∫InterestPercent∫∫ƒ</InterestPercent>
∫finvoice_INVOICE_PartialPaymentDetails∫13∫ProcessingCostsAmount∫∫A∫0∫∫∫∫∫0∫∫ProcessingCostsAmount∫∫ƒ<PartialPaymentVatIncludedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_PartialPaymentDetails∫15∫PartialPaymentVatIncludedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">601,45∫finvoice_INVOICE_PartialPaymentDetails∫17∫PartialPaymentVatIncludedAmount∫M∫Field∫0∫in_kTotal_Amount∫∫∫########0.00∫0∫∫∫∫ƒ</PartialPaymentVatIncludedAmount>
<PartialPaymentVatExcludedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_PartialPaymentDetails∫20∫PartialPaymentVatExcludedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">485,04∫finvoice_INVOICE_PartialPaymentDetails∫22∫PartialPaymentVatExcludedAmount∫M∫Field∫0∫in_kPrice_Total∫∫∫########0.00∫0∫∫∫∫ƒ</PartialPaymentVatExcludedAmount>
<PartialPaymentDueDate Format="CCYYMMDD">20231212∫finvoice_INVOICE_PartialPaymentDetails∫25∫PartialPaymentDueDate∫M∫Field∫0∫in_kDue_Date∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</PartialPaymentDueDate>
<PartialPaymentReferenceIdentifier>23003508133∫finvoice_INVOICE_PartialPaymentDetails∫27∫PartialPaymentReferenceIdentifier∫M∫Field∫0∫in_kReference_Number∫∫∫∫0∫∫PartialPaymentReferenceIdentifier∫∫ƒ</PartialPaymentReferenceIdentifier>
</PartialPaymentDetails>
<InvoiceRow>
∫finvoice_INVOICE_Row_data∫3∫RowSubIdentifier∫∫A∫0∫∫∫∫∫0∫∫RowSubIdentifier∫∫ƒ<ArticleIdentifier>∫finvoice_INVOICE_Row_data∫4∫ArticleIdentifier∫M∫A∫0∫∫2010-07-14, Article Id is given by seller, EANetc. inr_kProduct_id, pr_kEAN_Code, pr_kProduct_Code?∫∫∫0∫∫ArticleIdentifier∫∫ƒ</ArticleIdentifier>
∫finvoice_INVOICE_Row_data∫5∫BuyerArticleIdentifier∫∫∫0∫∫∫∫∫0∫∫BuyerArticleIdentifier∫∫ƒ<ArticleName><code>Manageri II -ohjelmiston vuoden 2023 ylläpito, erä 3/4 (edellinen ylläpitolasku nro 230020).∫finvoice_INVOICE_Row_data∫6∫ArticleName∫M∫Code∫100∫xml_tCodeData:=_fld ValueStr (inr_kExplanation)xml_tCodeData:=Replace string(xml_tCodeData;ksCR;&quot; &quot;)∫2010-07-14, replace cr code PM 2020-10-26∫∫∫0∫∫ArticleName∫∫ƒ</code></ArticleName>
∫finvoice_INVOICE_Row_data∫7∫ArticleInfoUrlText∫∫∫0∫∫∫∫∫0∫∫ArticleInfoUrlText∫∫ƒ<DeliveredQuantity QuantityUnitCode="kpl∫finvoice_INVOICE_Row_data∫9∫DeliveredQuantity∫M∫Field∫0∫inr_kUnit∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫10∫DeliveredQuantity∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ1∫finvoice_INVOICE_Row_data∫11∫DeliveredQuantity∫M∫Field∫0∫inr_kDelivered_Quantity∫∫∫∫0∫∫∫∫ƒ</DeliveredQuantity>
<OrderedQuantity QuantityUnitCode="kpl∫finvoice_INVOICE_Row_data∫14∫OrderedQuantity∫M∫Field∫0∫inr_kUnit∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫15∫OrderedQuantity∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ1∫finvoice_INVOICE_Row_data∫16∫OrderedQuantity∫M∫Field∫0∫inr_kOrder_Amount∫∫∫∫0∫∫∫∫ƒ</OrderedQuantity>
∫finvoice_INVOICE_Row_data∫18∫ConfirmedQuantity∫∫∫0∫∫∫∫∫0∫∫ConfirmedQuantity∫∫ƒ∫finvoice_INVOICE_Row_data∫19∫StartDate∫∫∫0∫∫∫∫∫0∫∫StartDate∫∫ƒ∫finvoice_INVOICE_Row_data∫20∫EndDate∫∫∫0∫∫∫∫∫0∫∫EndDate∫∫ƒ<UnitPriceAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫22∫UnitPriceAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫23∫UnitPriceAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ242,52∫finvoice_INVOICE_Row_data∫24∫UnitPriceAmount∫M∫Field∫0∫inr_kPrice__Unit∫∫∫########0.00∫0∫∫∫∫ƒ</UnitPriceAmount>
<RowIdentifier>∫finvoice_INVOICE_Row_data∫26∫RowIdentifier∫M∫Field∫0∫inr_kDispatch_Note∫Identifier given by buyer when the original order was done. In interest invoice or credit note relates to the original invoice. or: inr_kCustomer_Row_Number ?∫∫∫0∫∫RowIdentifier∫∫ƒ</RowIdentifier>
∫finvoice_INVOICE_Row_data∫27∫RowIdentifierUrlText∫∫∫0∫∫∫∫∫0∫∫RowIdentifierUrlText∫∫ƒ∫finvoice_INVOICE_Row_data∫28∫RowIdentifierDate∫∫A∫0∫∫Should be dDate when the order was done. In interest invoice it is the date of the original invoice.∫∫YYYYMMDD∫0∫∫∫∫ƒ∫finvoice_INVOICE_Row_data∫29∫RowDeliveryIdentifier∫∫∫0∫∫∫∫∫0∫∫RowDeliveryIdentifier∫∫ƒ∫finvoice_INVOICE_Row_data∫30∫RowDeliveryUrlText∫∫∫0∫∫∫∫∫0∫∫RowDeliveryUrlText∫∫ƒ<RowDeliveryDate Format="CCYYMMDD">20231205∫finvoice_INVOICE_Row_data∫32∫RowDeliveryDate∫M∫Field∫0∫inr_kDelivery_Date∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</RowDeliveryDate>
∫finvoice_INVOICE_Row_data∫34∫RowQuatationIdentifier∫∫∫0∫∫∫∫∫0∫∫RowQuatationIdentifier∫∫ƒ∫finvoice_INVOICE_Row_data∫35∫RowQuatationIdentifierUrlText∫∫∫0∫∫∫∫∫0∫∫RowQuatationIdentifierUrlText∫∫ƒ∫finvoice_INVOICE_Row_data∫36∫RowAgreementIdentifier∫∫∫0∫∫∫∫∫0∫∫RowAgreementIdentifier∫∫ƒ∫finvoice_INVOICE_Row_data∫37∫RowAgreementIdentifierUrlText∫∫∫0∫∫∫∫∫0∫∫RowAgreementIdentifierUrlText∫∫ƒ<RowDeliveryDetails>
<RowWaybillIdentifier>∫finvoice_INVOICE_Row_data∫39∫RowWaybillIdentifier∫M∫A∫0∫∫∫∫∫0∫∫RowWaybillIdentifier∫∫ƒ</RowWaybillIdentifier>
</RowDeliveryDetails>
<code>∫finvoice_INVOICE_Row_data∫41∫∫∫Code∫0∫_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )_txt:=_fld ValueStr (ac_kSend_Accounts )_txt2:=_str Parse(_txt;&quot;,&quot;;1)_txt3:=_str Parse(_txt;&quot;,&quot;;2)∫_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )∫∫∫0∫∫∫∫ƒ</code><RowShortProposedAccountIdentifier>400∫finvoice_INVOICE_Row_data∫42∫RowShortProposedAccountIdentifier∫M∫Variable∫0∫_txt2∫∫∫∫0∫∫RowShortProposedAccountIdentifier∫∫ƒ</RowShortProposedAccountIdentifier>
<RowNormalProposedAccountIdentifier>4000∫finvoice_INVOICE_Row_data∫43∫RowNormalProposedAccountIdentifier∫M∫Variable∫0∫_txt3∫∫∫∫0∫∫RowNormalProposedAccountIdentifier∫∫ƒ</RowNormalProposedAccountIdentifier>
∫finvoice_INVOICE_Row_data∫44∫RowAccountDimensionText∫∫A∫0∫∫∫∫∫0∫∫RowAccountDimensionText∫∫ƒ<RowFreeText><code>As. viite: Timo Ruokolainen∫finvoice_INVOICE_Row_data∫45∫RowFreeText∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;_txt:=_fld ValueStr (inr_kDispatch_Note )If (_txt#&quot;&quot;)  xml_tCodeData:=&quot;Lähetyslista: &quot;+_fld ValueStr (inr_kDispatch_Note )End if _txt:=_fld ValueStr (inr_kSales_Order )If (_txt#&quot;&quot;)  _qry Fld (0;so_kSales_Order_ID ;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse )  If (_sel RecsInSel (so_kTbl )&gt; \t0)    _txt:=_fld ValueStr (so_kYour_Reference )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. viite: &quot;+_txt    End if     _txt:=_fld ValueStr (so_kCustomer_Order_Number )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. tilausnumero: &quot;+_txt    End if   End if End if ∫SOP asetus: xml_tCodeData:= _fld ValueStr(inr_kExplanation)If (_fld ValueStr(inr_kDispatch_Note)#&quot;&quot;) xml_tCodeData:=&quot;Lähetyslista: &quot;+_fld ValueStr(inr_kDispatch_Note)+&quot; /  &quot;+ksCR+xml_tCodeDataEnd if∫∫∫0∫∫RowFreeText∫∫ƒ</code></RowFreeText>
<RowDiscountPercent>0∫finvoice_INVOICE_Row_data∫46∫RowDiscountPercent∫M∫Field∫0∫inr_kDiscount_Percentage∫∫∫∫0∫∫RowDiscountPercent∫∫ƒ</RowDiscountPercent>
<RowVatRatePercent>24∫finvoice_INVOICE_Row_data∫47∫RowVatRatePercent∫M∫Field∫0∫inr_kVAT_Percentage∫∫∫∫0∫∫RowVatRatePercent∫∫ƒ</RowVatRatePercent>
<RowVatCode>∫finvoice_INVOICE_Row_data∫48∫RowVatCode∫C∫Field∫10∫soc_kVAT_Code∫AB, MarginaaliveroAE, Käännetty ALVE, YhteisömyyntiG, Veroton myynti ulkomaille (kolmannet maat)O, Veroton palveluS, Normaali veroprosenttiZ, Veroton tuotZEG, Vero tavaraostoista muista EU-maistaZES, Vero palveluostoista muista EU-maista∫∫∫0∫∫RowVatCode∫∫ƒ</RowVatCode>
<RowVatAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫50∫RowVatAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫51∫RowVatAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ58,20∫finvoice_INVOICE_Row_data∫52∫RowVatAmount∫M∫Field∫0∫inr_kVAT_Price∫∫∫########0.00∫0∫∫∫∫ƒ</RowVatAmount>
<RowVatExcludedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫55∫RowVatExcludedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫56∫RowVatExcludedAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ242,52∫finvoice_INVOICE_Row_data∫57∫RowVatExcludedAmount∫M∫Field∫0∫ inr_kPrice_Total ∫∫∫########0.00∫0∫∫∫∫ƒ</RowVatExcludedAmount>
<RowAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫60∫RowAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫61∫RowAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ300,72∫finvoice_INVOICE_Row_data∫62∫RowAmount∫M∫Field∫0∫inr_kTotal_Amount∫∫∫########0.00∫0∫∫∫∫ƒ</RowAmount>
∫finvoice_INVOICE_Row_data∫64∫SubInvoiceRow∫∫∫0∫∫∫∫∫0∫∫SubInvoiceRow∫∫ƒ</InvoiceRow>
<InvoiceRow>
∫finvoice_INVOICE_Row_data∫3∫RowSubIdentifier∫∫A∫0∫∫∫∫∫0∫∫RowSubIdentifier∫∫ƒ<ArticleIdentifier>∫finvoice_INVOICE_Row_data∫4∫ArticleIdentifier∫M∫A∫0∫∫2010-07-14, Article Id is given by seller, EANetc. inr_kProduct_id, pr_kEAN_Code, pr_kProduct_Code?∫∫∫0∫∫ArticleIdentifier∫∫ƒ</ArticleIdentifier>
∫finvoice_INVOICE_Row_data∫5∫BuyerArticleIdentifier∫∫∫0∫∫∫∫∫0∫∫BuyerArticleIdentifier∫∫ƒ<ArticleName><code>Manageri II -ohjelmiston vuoden 2023 ylläpito, erä 4/4 (edellinen ylläpitolasku nro 230020).∫finvoice_INVOICE_Row_data∫6∫ArticleName∫M∫Code∫100∫xml_tCodeData:=_fld ValueStr (inr_kExplanation)xml_tCodeData:=Replace string(xml_tCodeData;ksCR;&quot; &quot;)∫2010-07-14, replace cr code PM 2020-10-26∫∫∫0∫∫ArticleName∫∫ƒ</code></ArticleName>
∫finvoice_INVOICE_Row_data∫7∫ArticleInfoUrlText∫∫∫0∫∫∫∫∫0∫∫ArticleInfoUrlText∫∫ƒ<DeliveredQuantity QuantityUnitCode="kpl∫finvoice_INVOICE_Row_data∫9∫DeliveredQuantity∫M∫Field∫0∫inr_kUnit∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫10∫DeliveredQuantity∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ1∫finvoice_INVOICE_Row_data∫11∫DeliveredQuantity∫M∫Field∫0∫inr_kDelivered_Quantity∫∫∫∫0∫∫∫∫ƒ</DeliveredQuantity>
<OrderedQuantity QuantityUnitCode="kpl∫finvoice_INVOICE_Row_data∫14∫OrderedQuantity∫M∫Field∫0∫inr_kUnit∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫15∫OrderedQuantity∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ1∫finvoice_INVOICE_Row_data∫16∫OrderedQuantity∫M∫Field∫0∫inr_kOrder_Amount∫∫∫∫0∫∫∫∫ƒ</OrderedQuantity>
∫finvoice_INVOICE_Row_data∫18∫ConfirmedQuantity∫∫∫0∫∫∫∫∫0∫∫ConfirmedQuantity∫∫ƒ∫finvoice_INVOICE_Row_data∫19∫StartDate∫∫∫0∫∫∫∫∫0∫∫StartDate∫∫ƒ∫finvoice_INVOICE_Row_data∫20∫EndDate∫∫∫0∫∫∫∫∫0∫∫EndDate∫∫ƒ<UnitPriceAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫22∫UnitPriceAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫23∫UnitPriceAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ242,52∫finvoice_INVOICE_Row_data∫24∫UnitPriceAmount∫M∫Field∫0∫inr_kPrice__Unit∫∫∫########0.00∫0∫∫∫∫ƒ</UnitPriceAmount>
<RowIdentifier>∫finvoice_INVOICE_Row_data∫26∫RowIdentifier∫M∫Field∫0∫inr_kDispatch_Note∫Identifier given by buyer when the original order was done. In interest invoice or credit note relates to the original invoice. or: inr_kCustomer_Row_Number ?∫∫∫0∫∫RowIdentifier∫∫ƒ</RowIdentifier>
∫finvoice_INVOICE_Row_data∫27∫RowIdentifierUrlText∫∫∫0∫∫∫∫∫0∫∫RowIdentifierUrlText∫∫ƒ∫finvoice_INVOICE_Row_data∫28∫RowIdentifierDate∫∫A∫0∫∫Should be dDate when the order was done. In interest invoice it is the date of the original invoice.∫∫YYYYMMDD∫0∫∫∫∫ƒ∫finvoice_INVOICE_Row_data∫29∫RowDeliveryIdentifier∫∫∫0∫∫∫∫∫0∫∫RowDeliveryIdentifier∫∫ƒ∫finvoice_INVOICE_Row_data∫30∫RowDeliveryUrlText∫∫∫0∫∫∫∫∫0∫∫RowDeliveryUrlText∫∫ƒ<RowDeliveryDate Format="CCYYMMDD">20231205∫finvoice_INVOICE_Row_data∫32∫RowDeliveryDate∫M∫Field∫0∫inr_kDelivery_Date∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</RowDeliveryDate>
∫finvoice_INVOICE_Row_data∫34∫RowQuatationIdentifier∫∫∫0∫∫∫∫∫0∫∫RowQuatationIdentifier∫∫ƒ∫finvoice_INVOICE_Row_data∫35∫RowQuatationIdentifierUrlText∫∫∫0∫∫∫∫∫0∫∫RowQuatationIdentifierUrlText∫∫ƒ∫finvoice_INVOICE_Row_data∫36∫RowAgreementIdentifier∫∫∫0∫∫∫∫∫0∫∫RowAgreementIdentifier∫∫ƒ∫finvoice_INVOICE_Row_data∫37∫RowAgreementIdentifierUrlText∫∫∫0∫∫∫∫∫0∫∫RowAgreementIdentifierUrlText∫∫ƒ<RowDeliveryDetails>
<RowWaybillIdentifier>∫finvoice_INVOICE_Row_data∫39∫RowWaybillIdentifier∫M∫A∫0∫∫∫∫∫0∫∫RowWaybillIdentifier∫∫ƒ</RowWaybillIdentifier>
</RowDeliveryDetails>
<code>∫finvoice_INVOICE_Row_data∫41∫∫∫Code∫0∫_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )_txt:=_fld ValueStr (ac_kSend_Accounts )_txt2:=_str Parse(_txt;&quot;,&quot;;1)_txt3:=_str Parse(_txt;&quot;,&quot;;2)∫_sel RELATE_ONE (soc_kSales_Order_Code_ID ;inr_kSales_Order_Code_id )_sel RELATE_ONE (ac_kAccount_ID ;soc_kSales_Account_id )∫∫∫0∫∫∫∫ƒ</code><RowShortProposedAccountIdentifier>400∫finvoice_INVOICE_Row_data∫42∫RowShortProposedAccountIdentifier∫M∫Variable∫0∫_txt2∫∫∫∫0∫∫RowShortProposedAccountIdentifier∫∫ƒ</RowShortProposedAccountIdentifier>
<RowNormalProposedAccountIdentifier>4000∫finvoice_INVOICE_Row_data∫43∫RowNormalProposedAccountIdentifier∫M∫Variable∫0∫_txt3∫∫∫∫0∫∫RowNormalProposedAccountIdentifier∫∫ƒ</RowNormalProposedAccountIdentifier>
∫finvoice_INVOICE_Row_data∫44∫RowAccountDimensionText∫∫A∫0∫∫∫∫∫0∫∫RowAccountDimensionText∫∫ƒ<RowFreeText><code>As. viite: Timo Ruokolainen∫finvoice_INVOICE_Row_data∫45∫RowFreeText∫M∫Code∫0∫xml_tCodeData:=&quot;&quot;_txt:=_fld ValueStr (inr_kDispatch_Note )If (_txt#&quot;&quot;)  xml_tCodeData:=&quot;Lähetyslista: &quot;+_fld ValueStr (inr_kDispatch_Note )End if _txt:=_fld ValueStr (inr_kSales_Order )If (_txt#&quot;&quot;)  _qry Fld (0;so_kSales_Order_ID ;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse )  If (_sel RecsInSel (so_kTbl )&gt; \t0)    _txt:=_fld ValueStr (so_kYour_Reference )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. viite: &quot;+_txt    End if     _txt:=_fld ValueStr (so_kCustomer_Order_Number )    If (_txt#&quot;&quot;)      If (xml_tCodeData#&quot;&quot;)        xml_tCodeData:=xml_tCodeData+&quot; / &quot;      End if       xml_tCodeData:=xml_tCodeData+&quot;As. tilausnumero: &quot;+_txt    End if   End if End if ∫SOP asetus: xml_tCodeData:= _fld ValueStr(inr_kExplanation)If (_fld ValueStr(inr_kDispatch_Note)#&quot;&quot;) xml_tCodeData:=&quot;Lähetyslista: &quot;+_fld ValueStr(inr_kDispatch_Note)+&quot; /  &quot;+ksCR+xml_tCodeDataEnd if∫∫∫0∫∫RowFreeText∫∫ƒ</code></RowFreeText>
<RowDiscountPercent>0∫finvoice_INVOICE_Row_data∫46∫RowDiscountPercent∫M∫Field∫0∫inr_kDiscount_Percentage∫∫∫∫0∫∫RowDiscountPercent∫∫ƒ</RowDiscountPercent>
<RowVatRatePercent>24∫finvoice_INVOICE_Row_data∫47∫RowVatRatePercent∫M∫Field∫0∫inr_kVAT_Percentage∫∫∫∫0∫∫RowVatRatePercent∫∫ƒ</RowVatRatePercent>
<RowVatCode>∫finvoice_INVOICE_Row_data∫48∫RowVatCode∫C∫Field∫10∫soc_kVAT_Code∫AB, MarginaaliveroAE, Käännetty ALVE, YhteisömyyntiG, Veroton myynti ulkomaille (kolmannet maat)O, Veroton palveluS, Normaali veroprosenttiZ, Veroton tuotZEG, Vero tavaraostoista muista EU-maistaZES, Vero palveluostoista muista EU-maista∫∫∫0∫∫RowVatCode∫∫ƒ</RowVatCode>
<RowVatAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫50∫RowVatAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫51∫RowVatAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ58,20∫finvoice_INVOICE_Row_data∫52∫RowVatAmount∫M∫Field∫0∫inr_kVAT_Price∫∫∫########0.00∫0∫∫∫∫ƒ</RowVatAmount>
<RowVatExcludedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫55∫RowVatExcludedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫56∫RowVatExcludedAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ242,52∫finvoice_INVOICE_Row_data∫57∫RowVatExcludedAmount∫M∫Field∫0∫ inr_kPrice_Total ∫∫∫########0.00∫0∫∫∫∫ƒ</RowVatExcludedAmount>
<RowAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_Row_data∫60∫RowAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">∫finvoice_INVOICE_Row_data∫61∫RowAmount∫∫∫0∫&quot;&gt; \t∫∫∫∫0∫∫∫∫ƒ300,72∫finvoice_INVOICE_Row_data∫62∫RowAmount∫M∫Field∫0∫inr_kTotal_Amount∫∫∫########0.00∫0∫∫∫∫ƒ</RowAmount>
∫finvoice_INVOICE_Row_data∫64∫SubInvoiceRow∫∫∫0∫∫∫∫∫0∫∫SubInvoiceRow∫∫ƒ</InvoiceRow>
<code>∫finvoice_INVOICE_Line_Items∫1∫Code∫M∫Code∫0∫_sel RELATE_MANY(in_kInvoice_ID;inr_kInvoice_id)_long2:=_sel RecsInSel (inr_kTbl )_ord FLD (inr_kTbl ;inr_kRow_Number ;1)_sel REC_FIRST (inr_kTbl )For (_long;1;_long2)  xml DOCUMENT_SEND (&quot;finvoice_INVOICE_Rows&quot;)  _sel REC_NEXT (inr_kTbl )End for ∫∫∫∫0∫∫∫∫ƒ</code><SpecificationDetails>
<SpecificationFreeText>∫finvoice_INVOICE_SpecificationDetails∫2∫SpecificationFreeText∫M∫A∫0∫∫∫∫∫0∫∫SpecificationFreeText∫∫ƒ</SpecificationFreeText>
</SpecificationDetails>
<code>∫finvoice_INVOICE_EpiDetails∫1∫Find Sellers company∫M∫Code∫0∫If (_fld ValueStr(in_kType_)=&lt;&gt; \tin_tFinancingInvoiceType)  _txt:=&quot;in_Finvoice_Settings&quot;  //&lt;&gt; \tin_tFinvoiceSettingsName   _txt:=_prf_ Txt (&quot;&quot;;_txt)  _txt:=xml ValueGet (_txt;&quot;FactoringCompanyId&quot;)    If(_txt=&quot;&quot;)   _txt:=&lt;&gt; \tmgsFIRMATUN  End if  _qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)Else   _txt:=&lt;&gt; \tmgsFIRMATUN  _qry Fld(0;co_kCompany_ID;&quot;=&quot;;-&gt; \t_txt;&quot;&quot;;kFalse)End ifIf (_sel RecsInSel(co_kTbl)&lt;=0)  _err MESSAGE(_lang Current(&quot;Company was not found&quot;)+&quot;: &quot;+_txt;&quot;INVOICE_EpiDetails&quot;;kFalse)End if∫∫∫∫0∫∫∫∫ƒ</code><EpiDetails>
<EpiIdentificationDetails>
<EpiDate Format="CCYYMMDD"><code>∫finvoice_INVOICE_EpiDetails∫5∫EpiDate∫M∫Code∫0∫_date:=_date Current(kTrue)∫∫∫∫0∫∫∫∫ƒ</code>20240427∫finvoice_INVOICE_EpiDetails∫6∫EpiDate∫M∫Variable∫0∫_date∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</EpiDate>
<EpiReference>23003508133∫finvoice_INVOICE_EpiDetails∫8∫EpiReference∫M∫Field∫0∫in_kReference_Number∫∫∫∫0∫∫EpiReference∫∫ƒ</EpiReference>
∫finvoice_INVOICE_EpiDetails∫9∫EpiUrl∫∫A∫0∫∫∫∫∫0∫∫EpiUrl∫∫ƒ<EpiEmail>∫finvoice_INVOICE_EpiDetails∫10∫EpiEmail∫M∫Field∫0∫co_keMail∫∫∫∫0∫∫EpiEmail∫∫ƒ</EpiEmail>
∫finvoice_INVOICE_EpiDetails∫11∫EpiOrderInfo∫∫A∫0∫∫∫∫∫0∫∫EpiOrderInfo∫∫ƒ</EpiIdentificationDetails>
<EpiPartyDetails>
<EpiBfiPartyDetails>
<EpiBfiIdentifier IdentificationSchemeName="BIC">OKOYFIHH∫finvoice_INVOICE_EpiDetails∫16∫EpiBfiIdentifier∫M∫Field∫0∫co_kSWIFT_Code∫∫∫∫0∫∫∫∫ƒ</EpiBfiIdentifier>
</EpiBfiPartyDetails>
<EpiBeneficiaryPartyDetails>
<EpiNameAddressDetails>Manage Applications Ky∫finvoice_INVOICE_EpiDetails∫20∫EpiNameAddressDetails∫M∫Field∫0∫co_kName∫∫∫∫0∫∫EpiNameAddressDetails∫∫ƒ</EpiNameAddressDetails>
<EpiBei>0849338-0∫finvoice_INVOICE_EpiDetails∫21∫EpiBei∫M∫Field∫0∫co_kTrade_Registry_Number∫∫∫∫0∫∫EpiBei∫∫ƒ</EpiBei>
<EpiAccountID IdentificationSchemeName="IBAN">FI9352900220303935∫finvoice_INVOICE_EpiDetails∫23∫EpiAccountID∫M∫Field∫0∫co_kBank_Account∫∫∫∫0∫∫∫∫ƒ</EpiAccountID>
</EpiBeneficiaryPartyDetails>∫finvoice_INVOICE_EpiDetails∫25∫∫M∫∫0∫&lt;/EpiBeneficiaryPartyDetails&gt; \t∫∫∫∫0∫∫∫∫ƒ
</EpiPartyDetails>
<EpiPaymentInstructionDetails>
∫finvoice_INVOICE_EpiDetails∫28∫EpiPaymentInstructionId∫∫A∫0∫∫∫∫∫0∫∫EpiPaymentInstructionId∫∫ƒ∫finvoice_INVOICE_EpiDetails∫29∫EpiTransactionTypeCode∫∫A∫0∫∫∫∫∫0∫∫EpiTransactionTypeCode∫∫ƒ∫finvoice_INVOICE_EpiDetails∫30∫EpiInstructionCode∫∫A∫0∫∫∫∫∫0∫∫EpiInstructionCode∫∫ƒ<EpiRemittanceInfoIdentifier IdentificationSchemeName="SPY">23003508133∫finvoice_INVOICE_EpiDetails∫32∫EpiRemittanceInfoIdentifier∫M∫Field∫0∫in_kReference_Number∫∫∫∫0∫∫∫∫ƒ</EpiRemittanceInfoIdentifier>
<EpiInstructedAmount AmountCurrencyIdentifier="EUR∫finvoice_INVOICE_EpiDetails∫35∫EpiInstructedAmount∫M∫Field∫0∫in_kCurrency_ID∫∫∫∫0∫∫∫∫ƒ">601,45∫finvoice_INVOICE_EpiDetails∫37∫EpiInstructedAmount∫M∫Field∫0∫in_kTotal_Amount∫∫∫########0.00∫0∫∫∫∫ƒ</EpiInstructedAmount>
<EpiCharge ChargeOption="SHA">SHA</EpiCharge>
<EpiDateOptionDate Format="CCYYMMDD">20231212∫finvoice_INVOICE_EpiDetails∫41∫EpiDateOptionDate∫M∫Field∫0∫in_kDue_Date∫∫∫YYYYMMDD∫0∫∫∫∫ƒ</EpiDateOptionDate>
</EpiPaymentInstructionDetails>
</EpiDetails>
</Finvoice>
<code>∫finvoice_INVOICE_Footer∫2∫Code∫M∫Code∫0∫_tbl WRITE_STATE (in_kTbl ;kTrue )_rec LOCKED_WAIT (in_kTbl ;kTrue)Case of:(OK=0)  xml_lCancelled:=kTrue  _err MESSAGE(&quot;Lasku oli lukittuna &quot;+&quot;: &quot;+_fld ValueStr(in_kInvoice_ID)+ksCR+&quot;Lähetysaineistoa ei muodostettu&quot;;&quot;XML lähetys&quot;;kFalse):(OK=1)   xml_tInvoiceText:=_fld ValueStr(in_kSend_State)   xml_tInvoiceText:=_txt_ ParameterAdd(xml_tInvoiceText;&quot;,&quot;;kLast;&lt;&gt; \tin_tElectronicInvoiceSendType;kTrue)    _fld VALUE_STR_SET (kSet ;in_kSend_State;xml_tInvoiceText)  xml_tInvoiceText:=_fld ValueStr(in_kInfo)  _txt:=&quot;Finvoice lähetys&quot;+ksSpace +_date DateTimeToString )   xml_tInvoiceText:=_txt_ ParameterAdd(xml_tInvoiceText;ksCR;kLast;_txt;kFalse)    _fld VALUE_STR_SET (kSet ;in_kInfo;xml_tInvoiceText)  xml_tInvoiceText:=&quot;&quot;  _rec SAVE (in_kTbl )End case_tbl WRITE_STATE (in_kTbl ;kPrevious )∫∫∫∫0∫∫∫∫ƒ</code><code>∫Finvoice_in_Invoices∫1∫Export∫M∫Code∫0∫C_LONGINT(xml_lInvoiceCounter;xml_lRecsInSel)in_ RUN (kInit )xml_ CONVERSION_CHARACTER_SET(&quot;ISO-8859-15&quot;) // windows-1252xml_lInvoiceCounter:=0xml_lRecsInSel2:=_sel RecsInSel (in_kTbl )_rec FIRST (in_kTbl )For (xml_lInvoiceCounter;1;xml_lRecsInSel2)  xml_sInvoice_ID:=_fld ValueStr (in_kInvoice_ID )  xml_lSegmentCount:=0  xml DOCUMENT_SEND (&quot;finvoice_INVOICE&quot;)    _rec NEXT (in_kTbl )End for xml_tInvoiceName:=&quot;&quot;xml_tInvoiceText:=&quot;&quot;∫∫∫∫0∫∫∫∫ƒ</code>